Full name: projects.locations.instances.integrations.pushToStaging
Transitions an integration from production back to staging mode. Useful for performing major updates or debugging a production integration in an isolated state.
HTTP request
POST https://{endpoint}/v1beta/{name}:pushToStaging
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
name |
Required. The unique name of the integration. Format: projects/{project}/locations/{location}/instances/{instance}/integrations/{integration} |
Request body
The request body must be empty.
Response body
If successful, the response body is empty.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
chronicle.integrations.update
For more information, see the IAM documentation.